/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

import javax.swing.JDesktopPane;
import javax.swing.WindowConstants;

/**
 * Helps com.carlosbcruz.account.control internal frames to be inserted in a standard way
 * @author carlos
 */
public class AccountJDesktopPane extends JDesktopPane {

    // Percentage of the internal window compared to the desktop
    private final int internalWindowSizeScreenPercentage = 80; //80%

    /**
     * Show the internal frame into the desktop pane.
     * @param internalFrame Frame to be inserted
     * @return true if it is the frame was inserted and false if it was already inserted
     */
    public boolean show(AccountJInternalFrame internalFrame) {

        //		Do not insert in the desktop pane twice
        int position = getIndexOf(internalFrame);
        if (position == -1) {

            // Insert the internal frame on the desktop
            internalFrame
                    .setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
            int desktopWidth = getWidth();
            int desktopHeight = getHeight();
            int internalWindowWidthWhenStarted = desktopWidth
                * internalWindowSizeScreenPercentage / 100;
            int internalWindowHeightWhenStarted = desktopHeight
                * internalWindowSizeScreenPercentage / 100;
            int internalWindowXInitialPosition = (desktopWidth - internalWindowWidthWhenStarted) / 2;
            int internalWindowYInitialPosition = (desktopHeight - internalWindowHeightWhenStarted) / 2;
            internalFrame.setBounds(internalWindowXInitialPosition,
                internalWindowYInitialPosition, internalWindowWidthWhenStarted,
                internalWindowHeightWhenStarted);
            internalFrame.setVisible(true);

            add(internalFrame);

            internalFrame.tryToGetFocus();

            return true;
        }

        internalFrame.tryToGetFocus();

        return false;
    }
}
