/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

import javax.swing.JEditorPane;
import javax.swing.JScrollPane;

import com.carlosbcruz.account.dynamicmodel.AccountComment;
import com.carlosbcruz.account.dynamicmodel.AccountCurrentAccountSingleton;

/**
 * Internal Frame that presents a comment
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountJInternalCommentFrame extends AccountJInternalFrame {

    private String commentIdentification;

    /**
     * Default constructor
     * @param commentIdentification
     */
    AccountJInternalCommentFrame(String commentIdentification) {

        // Title
        super(commentIdentification, true, true, true, true);

        this.commentIdentification = commentIdentification;

        AccountComment comment = AccountCurrentAccountSingleton
                .getAllUserAccounts().getAccountComments(commentIdentification);

        JEditorPane editor = new JEditorPane("text/plain", comment
                .getComments().toString());

        JScrollPane internalScrollPane = new JScrollPane(editor);

        setContentPane(internalScrollPane);

    }

    /**
     * Inform the identification of the internal comment frame
     * @return The Comment Identification
     */
    public String getCommentIdentification() {

        return commentIdentification;
    }

    /**
     * Set the Comment Identification for this internal frame
     * @param commentIdentification The Comment Identification
     */
    public void setCommentIdentification(String commentIdentification) {

        this.commentIdentification = commentIdentification;
    }

    /* (no-Javadoc)
     * @see com.carlosbcruz.account.control.AccountJInternalFrame#getAccountInternalFrameIdentification()
     */
    public String getAccountInternalFrameIdentification() {

        return commentIdentification;
    }
}
