/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

/**
 * Interface to be implemented when it is wanted to provide a class
 * that can parse a specific com.carlosbcruz.account.control report from a bank
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public interface AccountParser {

    /**
     * Transform the first line of the bank report into a bean that
     * can be processed by the com.carlosbcruz.account.control application
     * @param report The bank report
     * @return The transaction parsed into a bean
     */
    AccountTransactionBean parseFirstTransactionLine(String report);

}
