/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

/**
 * A bean interface that the AccountParser has to generate for each line parsed.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public interface AccountTransactionBean {

    /**
     * Provide the transaction information
     * @return The trasaction day 
     */
    String getDay();

    /**
     * Provide the transaction information
     * @return The trasaction month 
     */
    String getMonth();

    /**
     * Provide the transaction information
     * @return The trasaction year 
     */
    String getYear();

    /**
     * Provide the transaction information
     * @return the transaction value 
     */
    String getValue();

    /**
     * Provide the transaction information
     * @return the transaction description
     */
    String getDescription();

    /**
     * Provide the transaction information
     * @return indicate if the transaction is a widthdraw
     */
    boolean isWithdraw();
}
