/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.control;

/**
 * Represents a node in a tree and contains information of the note type
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountTreeNodeObject {

    // Possible types of nodes
    public static final int ROOT_NODE = 1;
    public static final int ACCOUNT_NODE = 2;
    public static final int ACCOUNT_ID = 3;
    public static final int ACCOUNT_LEAF = 4;
    public static final int CHECK_NODE = 5;
    public static final int CHECK_LEAF = 6;
    public static final int COMMENT_NODE = 7;
    public static final int COMMENT_LEAF = 8;

    private String nodeIdentification;
    private int noteType;

    /**
     * Constructor that receives the identification and type
     * @param nodeIdentification The node identification
     * @param noteType The node type
     */
    AccountTreeNodeObject(String nodeIdentification, int noteType) {

        this.nodeIdentification = nodeIdentification;
        this.noteType = noteType;
    }

    /**
     * Inform the node identification
     * @return The node identification
     */
    public String getNodeIdentification() {

        return nodeIdentification;
    }

    /**
     * Set the node identification
     * @param nodeIdentification The Node Identification
     */
    public void setNodeIdentification(String nodeIdentification) {

        this.nodeIdentification = nodeIdentification;
    }

    /**
     * Inform the node type
     * @return The node type
     */
    public int getNoteType() {

        return noteType;
    }

    /**
     * Set the node type
     * @param noteType The Note Type
     */
    public void setNoteType(int noteType) {

        this.noteType = noteType;
    }

    /* (no-Javadoc)
     * @see java.lang.Object#toString()
     */
    public String toString() {

        return nodeIdentification;
    }
}
