/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.dynamicmodel;

/**
 * Represents a single check.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountCheck {

    private int checkSequence;
    private String checkIdentification;
    private float value;
    private String description;
    private String status;

    /**
     * Returns the check sequence.
     * @return The check sequence number
     */
    public int getCheckSequence() {

        return checkSequence;
    }

    /**
     * Sets the check sequence.
     * @param checkSequence The checkSequence to set
     */
    public void setCheckSequence(int checkSequence) {

        this.checkSequence = checkSequence;
    }

    /**
     * Returns the check Identification.
     * @return The check identification
     */
    public String getCheckIdentification() {

        return checkIdentification;
    }

    /**
     * Sets the check identification.
     * @param checkIdentification The checkIdentification to set
     */
    public void setCheckIdentification(String checkIdentification) {

        this.checkIdentification = checkIdentification;
    }

    /**
     * Returns the value.
     * @return The check value
     */
    public float getValue() {

        return value;
    }

    /**
     * Sets the value.
     * @param value The value to set
     */
    public void setValue(float value) {

        this.value = value;
    }

    /**
     * Returns the description.
     * @return The check description
     */
    public String getDescription() {

        return description;
    }

    /**
     * Sets the description.
     * @param description The description to set
     */
    public void setDescription(String description) {

        this.description = description;
    }

    /**
     * Returns the status.
     * @return The check status
     */
    public String getStatus() {

        return status;
    }

    /**
     * Sets the status.
     * @param status The status to set
     */
    public void setStatus(String status) {

        this.status = status;
    }

}
