/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.dynamicmodel;

import java.util.*;

/**
 * Has all the users check groups.
 *  
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountCheckGroup {

    private String checkGroupIdentification;

    private List checks = new LinkedList();

    /**
     * Returns the check Group Identification.
     * @return The check group identification
     */
    public String getCheckGroupIdentification() {

        return checkGroupIdentification;
    }

    /**
     * Sets the check Group Identification.
     * @param checkGroupIdentification The checkGroupIdentification to set
     */
    public void setCheckGroupIdentification(String checkGroupIdentification) {

        this.checkGroupIdentification = checkGroupIdentification;
    }

    /**
     * Inform how many check there are.
     * @return The number of check groups
     */
    public int getNumberOfChecks() {

        return checks.size();
    }

    /**
     * Return check by Position
     * @param position The desired position
     * @return the Check required
     */
    public AccountCheck getCheck(int position) {

        return (AccountCheck)checks.get(position);
    }

    /**
     * Add and check to the check group
     * @param check The check to be inserted
     */
    public void addCheck(AccountCheck check) {

        checks.add(check);
    }

}
