/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.dynamicmodel;

/**
 * Has information that deatils what has changed in the com.carlosbcruz.account.control model.
 *  
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountEvent {

    private String accountId;
    private int year;

    /**
     * Has information that deatils what has changed in the com.carlosbcruz.account.control model. 
     * @param accountId Account that has changed
     * @param year year that suffered a change
     */
    AccountEvent(String accountId, int year) {

        this.accountId = accountId;
        this.year = year;
    }

    /**
     * Inform the com.carlosbcruz.account.control that changed
     * @return Account Identification
     */
    public String getAccountId() {

        return accountId;
    }

    /**
     * Inform the year that changed
     * @return the year
     */
    public int getYear() {

        return year;
    }

}
