/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.modeltotals;

/**
 * Represents the total of the com.carlosbcruz.account.control and savings relationg to a
 * specifc transaction on the model.
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountTransactionTotal {

    private float accountTotal;

    private float savingsTotal;

    /**
     * Retreive the total of the current com.carlosbcruz.account.control
     * @return The current com.carlosbcruz.account.control total
     */
    public float getAccountTotal() {

        return accountTotal;
    }

    /**
     * Set the total of the current com.carlosbcruz.account.control
     * @param accountTotal current com.carlosbcruz.account.control total
     */
    public void setAccountTotal(float accountTotal) {

        this.accountTotal = accountTotal;
    }

    /**
     * Retreive the total of the savings com.carlosbcruz.account.control
     * @return The savings com.carlosbcruz.account.control total
     */
    public float getSavingsTotal() {

        return savingsTotal;
    }

    /**
     * Set the total of the savings com.carlosbcruz.account.control
     * @param savingsTotal savings com.carlosbcruz.account.control total
     */
    public void setSavingsTotal(float savingsTotal) {

        this.savingsTotal = savingsTotal;
    }

}
