/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.util;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Controls the process of retreiving the string giving
 * the keys from the com.carlosbcruz.account.control properties file
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public class AccountMessages {

    // This is the name of the resource bundle that has all the messages
    // used by the com.carlosbcruz.account.control application
    private static final String BUNDLE_NAME = "com.carlosbcruz.account.control.account";

    // As this class works as a Singleton it has a static instance of
    // the Resouce Bundle.
    private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
            .getBundle(BUNDLE_NAME);

    /**
     * Return the message associated with the specified key
     * @param key
     * @return The message requested
     */
    public static String getString(String key) {

        try {
            return RESOURCE_BUNDLE.getString(key);
        }
        catch(MissingResourceException e) {
            return "Property " + key + " Not Found";
        }
    }
}
