/**
 * The program(s) herein may be used  freely
 * for personal use only. It may not be sold, 
 * rented, leased, sublicensed  or  modified 
 * without permission of  the  author.  
 * 
 *           www.carlosbcruz.com
 *           
 * This program is provided "AS IS"  without 
 * warranty of any kind. In no event I  will
 * be liable  for  any  direct  or  indirect 
 * damage.
 */

package com.carlosbcruz.account.util;

/**
 * Subject of a Observer Desighn Pattern
 * 
 * @author Carlos Fernando Bella Cruz - <a href="mailto:pessoal@carlosbcruz.com">pessoal@carlosbcruz.com</a>
 */
public interface AccountSubject {

    /**
     * Add an observer
     * @param observer
     */
    public void addObserver(AccountObserver observer);

    /**
     * Remove an observer
     * @param observer
     */
    public void removeObserver(AccountObserver observer);

    /**
     * Notify the observers that a change has occured
     */
    public void notifyChange();
}
